
Infrastructure - Task #6858

Feature # 6498 (Closed): V2 Metacat MN and CN Support

Access control on MN.updateSystemMetadata and CN.updateSystemMetadata

2015-02-19 20:05 - Jing Tao

Status: Closed Start date: 2015-02-19

Priority: Normal Due date:  

Assignee: Jing Tao % Done: 100%

Category:  Estimated time: 0.00 hour

Target version: CCI-2.0.0   

Milestone: None Story Points:  

Product Version: *   

Description

Who are allowed to call the two methods? Should CN and MN be same? Should CN.updateSystemMetadata and

CN.changeAccessPolicy be same?

History

#1 - 2015-04-15 19:53 - Jing Tao

- Assignee set to Jing Tao

#2 - 2015-04-21 21:39 - Jing Tao

For MN.updateSystemMetadata, those client has the permission:

- Owner of object

- Authoritative Member Node

- Coordinating Node (no, because MN is authoritative)

- user subjects with the change permission

#3 - 2015-04-21 21:41 - Jing Tao

- Subject changed from Access control on MN.updateSystemMetadata and CN.updateSystemMetadata to Access control on

MN.updateSystemMetadata and CN.synchronizeObjects

For CN.syncrhonizeObjects, only the authoritative MN can call it.

#4 - 2015-04-30 22:03 - Jing Tao

- Subject changed from Access control on MN.updateSystemMetadata and CN.synchronizeObjects to Access control on MN.updateSystemMetadata

and CN.updateSystemMetadata

Only CN can call CN.updateSystemMetadata.

#5 - 2015-05-01 23:57 - Jing Tao

- Status changed from New to Closed

- translation missing: en.field_remaining_hours set to 0.0

- % Done changed from 0 to 100

The above rules were implemented in MNodeService and CNodeService.
